PETSc version 3.17.4
Fix/Edit manual page

# CHKERRMPI

Checks error code returned from MPI calls, if non-zero it calls the error handler and then returns

### Synopsis

    #include <petscerror.h>
    void CHKERRMPI(PetscErrorCode ierr)

Not Collective

### Input Parameter

| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h

### Notes

Deprecated in favor of PetscCallMPI(). This routine behaves identically to it.

### See Also

PetscCallMPI()

### Level

deprecated

### Location

src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages